サポート » インストール » wpをインストール直後にエラーが発生

  • 解決済 rala1ria

    (@rala1ria)


    お世話になります。

    ロリポップの手動インストールの手順
    (https://lolipop.jp/manual/blog/wordpress/)
    に従い、

    FTPでデータをすべてアップロードし、
    設定ファイルを作成するぞーとURLにアクセスすると下記のようなメッセージが表示されてしまいます。

    Parse error: syntax error, unexpected ‘.’, expecting ‘&’ or T_VARIABLE in /home/△△/〇〇/〇〇/△△/〇〇/wp/wp-includes/functions.php on line 1064

    wordpress-5.3.2と、wordpress-5.3.1を試してみたのですが
    両方ともこういったエラーとなってしまいました。

    まだインストールしたばかりで、何も設定してないのにも関わらず
    エラーが表示されてしまい困っております。

    phpは7.3モジュール板です。

    何かアドバイスいただけると幸いです。
    宜しくお願いいたします。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • DRILL LANCER

    (@rickaddison7634)

    PHP 7.3 CGI 版に変更するとどうなりますか?

    @rickaddison7634

    アドバイスありがとうございます!
    CGI版に変えてみたところ、下記のメッセージが表示されまして、

    Your server is running PHP version 5.3.29 but WordPress 5.3.2 requires at least 5.6.20.

    ここで気づいたのですが
    エラーの表示されたサイトは、〇〇.comなどの独自ドメインでアクセスしておらず、
    サーバーのドメイン(?)ディレクトリのURLを入れてアクセスしておりました。
    (現在HPの移管中でして、独自ドメインでの検証は旧サイトを表示してしまうためにサーバーのドメインのURLを表示させておりました)

    hostsで独自ドメインのURLで見たときには表示されておりましたので
    サーバードメインのphpが古かったからかもしれません。

    おかげで気づくことができました。ありがとうございます!

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • このトピックに返信するにはログインが必要です。